esekeyd(1)

NAME
esekeyd - ESE Key Daemon is a multimedia keyboard driver for Linux

SYNOPSIS
esekeyd config_file_name [input_device_name] [pidfile_name]

DESCRIPTION
esekeyd ESE Key Daemon is a multimedia keyboard driver for Linux. With the 2.6 kernel series it can also handle remote controls, as they are presented as keyboards. No kernel patch is required. It is a userspace program that pools /dev/input/event? interfaces for incoming keyboard key presses.

  Features:

- No kernel patch need,

- Supports keyboards, mices and remote controls,

OPTIONS
Options:

config_file_name
    location of esekeyd config file

input_device_name
    input (event) device; if given turns off autodetection of 1st keyboard device

pidfile_name
    location of esekeyd pidfile; default is /var/run/esekeyd.pid

FILES

/usr/sbin/esekeyd - main binary (daemon)

/usr/bin/keytest - program that reports names of pressed keys

/usr/bin/learnkeys - config file generator

/usr/share/man/man1/{esekeyd,keytest,learnkeys}.1(.gz) - manual pages

SEE ALSO
keytest(1), learnkeys(1)

BUGS
See the file TODO in the distribution for information on what remains to be done.

If you want to report a problem with the program, please send mail to this address: <krzysztof@burghardt.pl>.

Provide a detailed description of the bug, the version of the program you are running (run esekeyd without any parameters to display this information), the operating system you are running the program on and if the program crashes, I would appreciate a stack trace.

AUTHOR
This program was written by Krzysztof Burghardt <krzysztof@burghardt.pl> and may be freely distributed under the terms of the GNU General Public License. There is ABSOLUTELY NO WARRANTY for this program.